#Publican Documentation Specfile
%define RHEL5 %(test %{?dist} == .el5 && echo 1 || echo 0)
%define HTMLVIEW %(test %{RHEL5} == 1 && echo 1 || echo 0)

%define ICONS 1

%define viewer xdg-open

%if %{HTMLVIEW}
%define viewer htmlview
%define vendor redhat-
%define vendoropt --vendor="redhat"
%endif

Name:         Red_Hat_Enterprise_Linux-Release_Notes-6-kn-IN
Version:      2
Release:      8%{?dist}

Summary:      Kannada translation of Release_Notes
Summary(kn-IN):    Red Hat Enterprise Linux 6.2 ಕ್ಕಾಗಿನ ಬಿಡುಗಡೆ ಟಿಪ್ಪಣಿಗಳು


Group:         Documentation
License:       CC-BY-SA
URL:           http://docs.redhat.com
Source:        %{name}-%{version}-8.tgz
BuildArch:      noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican >= 2.0
BuildRequires: desktop-file-utils
BuildRequires:    publican-redhat

%if %{HTMLVIEW}
Requires:    htmlview
%else
Requires:    xdg-utils
%endif



%description
Kannada translation of Release_Notes

%description -l kn-IN
Red Hat Enterprise Linux ಸಣ್ಣ ಬಿಡುಗಡೆಗಳು ಪ್ರತ್ಯೇಕ ಸುಧಾರಣೆಗಳು,
ಸುರಕ್ಷತೆ ಹಾಗು ದೋಷ ಪರಿಹಾರ ಎರಾಟದ ಸಂಯೋಜನೆಯಾಗಿರುತ್ತದೆ. Red Hat
Enterprise Linux 6.2 ಬಿಡುಗಡೆ ಟಿಪ್ಪಣಿಗಳಲ್ಲಿ Red Hat Enterprise Linux
6 ಕಾರ್ಯ ವ್ಯವಸ್ಥೆ ಹಾಗು ಈ ಸಣ್ಣ ಬಿಡುಗಡೆಗಾಗಿನ ಅದರಲ್ಲಿನ ಅನ್ವಯಗಳಿಗೆ
ಮಾಡಲಾದ ಪ್ರಮುಖ ಬದಲಾವಣೆಗಳನ್ನು ತಿಳಿಸಲಾಗಿದೆ. ಈ ಕಿರು ಬಿಡುಗಡೆಯಲ್ಲಿ ಮಾಡಲಾದ
ವಿವರಣೆಗಳಿಗಾಗಿ ತಾಂತ್ರಿಕ ಟಿಪ್ಪಣಿಗಳನ್ನು ನೋಡಿ.

%prep
%setup -q

%build
publican build --nocolours --formats="html-desktop" --langs=kn-IN

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps

%if %{ICONS}
for icon in `ls kn-IN/icons/*x*.png`; do
  size=`echo "$icon" | sed -e 's/.*icons\/\(.*\)\.png/\1/'`;
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps
  cp $icon  $RPM_BUILD_ROOT/usr/share/icons/hicolor/$size/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-kn-IN.png;
done
cp kn-IN/icons/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-kn-IN.svg;
%else
cp kn-IN/images/icon.svg  $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-kn-IN.svg;
%endif

cat > %{name}.desktop <<'EOF'
[Desktop Entry]
Name=Red Hat Enterprise Linux 6: Release Notes
Comment=Red Hat Enterprise Linux 6.2 ಕ್ಕಾಗಿನ ಬಿಡುಗಡೆ ಟಿಪ್ಪಣಿಗಳು
Exec=%{viewer} %{_docdir}/%{name}-%{version}/index.html
Icon=Red_Hat_Enterprise_Linux-Release_Notes-6-kn-IN
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%if %{HTMLVIEW}
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%else
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%endif

# Update Icon cache if it exists
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/kn-IN/html-desktop/*
%if %{ICONS}
/usr/share/icons/hicolor/*
%else
/usr/share/icons/hicolor/scalable/apps/Red_Hat_Enterprise_Linux-Release_Notes-6-kn-IN.svg
%endif
%if %{HTMLVIEW}
%{_datadir}/applications/%{?vendor}%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Mon Dec  5 2011 Martin Prpič <mprpic@redhat.com> - 1-0
- Release of the Red Hat Enterprise Linux 6.2 Release Notes 



